---
title: Release 2022.4
slug: "2022.4"
---

## Breaking changes

- Removal of HTTP Basic authentication for API requests

  For legacy reasons, authentik used to support HTTP-Basic authenticated requests, using the token as a password. This has been removed.

## New features

- Application Grouping

  Applications can now be grouped together to better organise connected applications in the user dashboard.

- JWT authentication for `client_credentials` grants

  Providers can now be configured to accept JWTs signed by configured certificates, which makes it a lot easier to services access to authentik, when an existing machine/service identity is provided (for example, this can be used to let Kubernetes Pods authenticate themselves to authentik via their service account)

## Minor changes/fixes

## Upgrading

This release does not introduce any new requirements.

### docker-compose

Download the docker-compose file for 2022.4 from [here](https://goauthentik.io/version/2022.4/docker-compose.yml). Afterwards, simply run `docker-compose up -d`.

### Kubernetes

Update your values to use the new images:

```yaml
image:
  repository: ghcr.io/goauthentik/server
  tag: 2022.4.1
```
